<?php include('casa/setup.casa.php');
$solic_codigo = DataForms::GET('solic_codigo');
$ContadorSolicitudes = DataForms::GET('ContadorSolicitudes');
$ubica_codigo = DataForms::GET('ubica_codigo');
$ubica_codigoDESTINO = DataForms::GET('ubica_codigo');

include('inc_scripts.php');
$title = 'Aprobar e Imprimir solicitud de Traspaso';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
.btn{
	font-weight:bold;
	font-size:22px;
	padding:2px 45px;
}
</style>
</head>
<body>
	
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<center>
										<h2><?php echo $title;?></h2>																																									
									</center>
								</div>
								
								<div class="card-body">		
									<?php
											$db= new DB();
											$Productos = new DB();
											$User = new DB();
											$Ubicacion = new DB();

											$sql = "SELECT * FROM inventarios_solicitartraspasos 			
											WHERE solic_codigo = '$solic_codigo'
											GROUP BY solic_codigo;";												
											$db->dbSQL($sql);		
											$html='';	
											while($db->next()){																																							
											$solic_codigo = $db->dbField('solic_codigo');
											$solic_fecha = $db->dbField('solic_fecha');
											$usuarioid = $db->dbField('us_id');

											$sqlUser = "SELECT * FROM rol_usuarios 
											WHERE us_id = '$usuarioid';";
											$User->dbSQL($sqlUser);
											$User->next();
											$usNombres = $User->dbField('us_nombres').' '.$User->dbField('us_apellidos');
											$usUbicacionCodigo = $User->dbField('ubica_codigo');

											$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones
											WHERE ubica_codigo ='$usUbicacionCodigo';";
											$Ubicacion->dbSQL($sqlUbicacion);
											$Ubicacion->next();
											$usUbicacion = $Ubicacion->dbField('ubica_nombre');
											if($usUbicacion=='') $usUbicacion = 'Central';											
											
											$html.='';
												$html.='<table class="display table table-striped table-hover">
												<thead>
												<tr><td colspan=5><h3>
												<b>N&ordm; Solicitud: </b>0000'.$ContadorSolicitudes.' <br>
												<b>Solicitante: </b> '.$usNombres.' <br>
												<b>Fecha y hora: </b> '.$solic_fecha.' <br></h3></td></tr>
												<tr>													
													<th>Item</th>
													<th>Descripcion</th>
													<th>cantidad</th>
													<th>ubicacion <br> origen</th> 
													<th>ubicacion <br> final</th> 
												</tr>
											</thead>											
											<tbody>';
											$ContadorSolicitudes--;
											$sqlProductos = "SELECT * FROM inventarios_solicitartraspasos solic, inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE prod.ubica_codigo = ubi.ubica_codigo	
											AND solic.prod_codigo = prod.prod_codigo
											AND prod.prod_estado = '1'
											AND solic.solic_codigo = '$solic_codigo'
											GROUP BY solic.solic_id DESC;";	

											$Productos->dbSQL($sqlProductos);
											$i=0;
											while($Productos->next()){										
											$i++;
											$prod_id = $Productos->dbField('prod_id');
												$ubica_codigo = $Productos->dbField('ubica_codigo');
													$ubica_nombre = $Productos->dbField('ubica_nombre');			
													$ubica_color = $Productos->dbField('ubica_color');												
												$prod_item = $Productos->dbField('prod_item');
												$prod_codigo = $Productos->dbField('prod_codigo');
												$prod_nombre = $Productos->dbField('prod_nombre');
												$prod_foto = $Productos->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $Productos->dbField('prod_piezascaja');
												$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');	
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
												$prod_preciounitario = $Productos->dbField('prod_preciounitario');
												$prod_preciodocena = $Productos->dbField('prod_preciodocena');
												$prod_preciocajadocena = $Productos->dbField('prod_preciocajadocena');
												$prod_fecha = $Productos->dbField('prod_fecha');
												$prod_observaciones = $Productos->dbField('prod_observaciones');
												  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';
												//solicitudes											
												$solic_cantidadcajas = $Productos->dbField('solic_cantidadcajas');
												$solic_estado = $Productos->dbField('solic_estado');
												$solic_fecha = $Productos->dbField('solic_fecha');

													$opc = '<span id="bntImprimir" href="" class="btn btn-primary" style="color:white">
													ENTREGAR AL SOLICITANTE</span>';
												

												$html.='<tr>';
												$html.='<td><b>'.$prod_item.'</b></td>';
												$html.='<td><b>'.strtoupper($prod_nombre).'</b>';
												$html.='<td align=center>'.$solic_cantidadcajas.' cajas</td>';
												$html.='<td align=center>
												<span style="background:'.$ubica_color.';padding:3px 7px;border-radius:5px;">'.$ubica_nombre.'</span></b></td>';
												$html.='<td align=center>'.$usUbicacion.'</td>';												
												$html.='</tr>';											
												
												}//wend() $Productos
												$html.='<tr><td colspan=5 align=center>'.$opc.'</td></tr>';
											}//wend() 
											
											$html.='</tbody></table><hr>';
											echo utf8_encode($html);
											?>													
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
<div id='res'></div>		
</body>
</html>
<script>
$('#bntImprimir').click(function(){
	$(this).hide();
	window.print();
	EjecutarTraspaso();
	//self.location='<?php echo PATH_HOME."ventas/";?>';
});
function EjecutarTraspaso(){
	$.post('<?php echo PATH_HOME.'traspasos-solicitudes-almacenejecutar/'. md5(uniqid()); ?>',{
	 'solic_codigo': '<?php echo $solic_codigo; ?>',
	 'ubica_codigo': '<?php echo $ubica_codigoDESTINO; ?>',	 
	 'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 
}
</script>